// import { bioEntitiesContentFixture } from '@/models/fixtures/bioEntityContentsFixture';
import { MODELS_MOCK } from '@/models/mocks/modelsMock';
import { StoreType } from '@/redux/store';
import { Accordion } from '@/shared/Accordion';
import {
  InitialStoreState,
  getReduxWrapperWithStore,
} from '@/utils/testing/getReduxWrapperWithStore';
import { render, screen } from '@testing-library/react';
import { BioEntitiesAccordion } from './BioEntitiesAccordion.component';

const renderComponent = (initialStoreState: InitialStoreState = {}): { store: StoreType } => {
  const { Wrapper, store } = getReduxWrapperWithStore(initialStoreState);

  return (
    render(
      <Wrapper>
        <Accordion>
          <BioEntitiesAccordion />
        </Accordion>
      </Wrapper>,
    ),
    {
      store,
    }
  );
};

describe.skip('BioEntitiesAccordion - component', () => {
  it('should display loading indicator when bioEntity search is pending', () => {
    renderComponent({
      // bioEntity: {
      //   data: undefined,
      //   loading: 'pending',
      //   error: { name: '', message: '' },
      // },
      models: {
        data: [],
        loading: 'pending',
        error: { name: '', message: '' },
      },
    });

    expect(screen.getByText('Content (Loading...)')).toBeInTheDocument();
  });

  it('should render list of maps with number of entities after succeeded bio entity search', () => {
    renderComponent({
      // bioEntity: {
      //   data: bioEntitiesContentFixture,
      //   loading: 'succeeded',
      //   error: { name: '', message: '' },
      // },
      models: {
        data: MODELS_MOCK,
        loading: 'succeeded',
        error: { name: '', message: '' },
      },
    });

    expect(screen.getByText('Content (10)')).toBeInTheDocument();
    expect(screen.getByText('Core PD map (8)')).toBeInTheDocument();
    expect(screen.getByText('Histamine signaling (2)')).toBeInTheDocument();
  });
});
