import {
  AccordionItem,
  AccordionItemButton,
  AccordionItemPanel,
  AccordionItemHeading,
} from '@/shared/Accordion';
import { useAppSelector } from '@/redux/hooks/useAppSelector';
import {
  loadingBioEntityStatusSelector,
  numberOfBioEntitiesSelector,
} from '@/redux/bioEntity/bioEntity.selectors';

export const BioEntitiesAccordion = (): JSX.Element => {
  const bioEntitiesNumber = useAppSelector(numberOfBioEntitiesSelector);
  const bioEntitiesState = useAppSelector(loadingBioEntityStatusSelector);
  // const numberOfBioEntitiesPerModel = useAppSelector(numberOfBioEntitiesPerModelSelector);

  return (
    <AccordionItem>
      <AccordionItemHeading>
        <AccordionItemButton>
          Content {bioEntitiesState === 'pending' && ' (Loading...)'}
          {bioEntitiesState === 'succeeded' && ` (${bioEntitiesNumber})`}
        </AccordionItemButton>
      </AccordionItemHeading>
      <AccordionItemPanel>
        {/* {numberOfBioEntitiesPerModel.map(model => (
          <BioEntitiesSubmapItem
            key={model.modelName}
            mapName={model.modelName}
            numberOfEntities={model.numberOfEntities}
          />
        ))} */}
      </AccordionItemPanel>
    </AccordionItem>
  );
};
