import {
  Accordion,
  AccordionItem,
  AccordionItemButton,
  AccordionItemHeading,
  AccordionItemPanel,
} from '@/shared/Accordion';
import { PinItem } from '../PinsList/PinsList.types';
import {
  getAdditionalInfo,
  getEntityDescriptions,
  getEntityNames,
  getEntitySynonyms,
} from './AccordionsDetails.utils';

interface AccordionsDetailsProps {
  pinsList: PinItem[];
}

export const AccordionsDetails = ({ pinsList }: AccordionsDetailsProps): JSX.Element => {
  return (
    <>
      <Accordion allowZeroExpanded className="px-6">
        <AccordionItem>
          <AccordionItemHeading>
            <AccordionItemButton>Drug</AccordionItemButton>
          </AccordionItemHeading>
          <AccordionItemPanel>{getEntityNames(pinsList)}</AccordionItemPanel>
        </AccordionItem>
        <AccordionItem>
          <AccordionItemHeading>
            <AccordionItemButton>Description</AccordionItemButton>
          </AccordionItemHeading>
          <AccordionItemPanel>{getEntityDescriptions(pinsList)}</AccordionItemPanel>
        </AccordionItem>
        <AccordionItem>
          <AccordionItemHeading>
            <AccordionItemButton>Synonyms</AccordionItemButton>
          </AccordionItemHeading>
          <AccordionItemPanel>{getEntitySynonyms(pinsList)}</AccordionItemPanel>
        </AccordionItem>
      </Accordion>
      <div className="flex justify-between px-6 py-4 text-sm font-bold">
        <div>Blood brain barrier</div>
        <div>{getAdditionalInfo(pinsList)}</div>
      </div>
    </>
  );
};
