import { PinItem } from '../PinsList/PinsList.types';

export const getEntityNames = (pinsList: PinItem[]): string => {
  let name = '';

  pinsList.forEach(element => {
    name += element.data.name;
  });

  return name;
};

export const getEntityDescriptions = (pinsList: PinItem[]): string => {
  let description = '';

  pinsList.forEach(element => {
    if ('description' in element.data) {
      description += element.data.description;
    }
  });

  return description;
};

export const getEntitySynonyms = (pinsList: PinItem[]): string => {
  let synonyms = '';

  pinsList.forEach(element => {
    if ('synonyms' in element.data) {
      synonyms += element.data.synonyms.join(', ');
    }
  });

  return synonyms;
};

export const getAdditionalInfo = (pinsList: PinItem[]): string => {
  let additionalDetails = '';

  pinsList.forEach(element => {
    if ('bloodBrainBarrier' in element.data) {
      additionalDetails += element.data.bloodBrainBarrier;
    }
  });

  return additionalDetails;
};
