/* eslint-disable @typescript-eslint/explicit-function-return-type */
import mapSlice from '@/redux/map/map.slice';
import { getReduxWrapperUsingSliceReducer } from '@/utils/testing/getReduxWrapperUsingSliceReducer';
import { renderHook } from '@testing-library/react';
import { View } from 'ol';
import * as positionListener from './onMapPositionChange';
import { useOlMapListeners } from './useOlMapListeners';

jest.mock('./onMapPositionChange', () => ({
  __esModule: true,
  onMapPositionChange: jest.fn(),
}));

jest.mock('use-debounce', () => {
  return {
    useDebounce: () => {},
    useDebouncedCallback: () => {},
  };
});

describe('useOlMapListeners - util', () => {
  const { Wrapper } = getReduxWrapperUsingSliceReducer('map', mapSlice);

  beforeEach(() => {
    jest.clearAllMocks();
  });

  describe('on change:center view event', () => {
    it('should run onMapPositionChange event', () => {
      const view = new View();
      const CALLED_ONCE = 1;

      renderHook(() => useOlMapListeners({ view }), { wrapper: Wrapper });
      view.dispatchEvent('change:center');

      expect(positionListener.onMapPositionChange).toBeCalledTimes(CALLED_ONCE);
    });
  });
});
