import { FunctionalArea } from '@/components/FunctionalArea';
import { Map } from '@/components/Map';
import { useReduxBusQueryManager } from '@/utils/query-manager/useReduxBusQueryManager';
import { Manrope } from '@next/font/google';
import { twMerge } from 'tailwind-merge';
import { useInitializeStore } from '../../utils/initialize/useInitializeStore';

const manrope = Manrope({
  variable: '--font-manrope',
  display: 'swap',
  weight: ['400', '700'],
  subsets: ['latin'],
});

export const MinervaSPA = (): JSX.Element => {
  useInitializeStore();
  useReduxBusQueryManager();

  return (
    <div className={twMerge('relative', manrope.variable)}>
      <FunctionalArea />
      <Map />
    </div>
  );
};
