import { createSlice } from '@reduxjs/toolkit';
import { BioEntityContentsState } from '@/redux/bioEntity/bioEntity.types';
import {
  getBioEntityContentsReducer,
  getMultiBioEntityContentsReducer,
} from './bioEntity.reducers';

const initialState: BioEntityContentsState = {
  data: [],
  loading: 'idle',
  error: { name: '', message: '' },
};

export const bioEntityContentsSlice = createSlice({
  name: 'bioEntityContents',
  initialState,
  reducers: {},
  extraReducers: builder => {
    getBioEntityContentsReducer(builder);
    getMultiBioEntityContentsReducer(builder);
  },
});

export default bioEntityContentsSlice.reducer;
