import { ChemicalsState } from '@/redux/chemicals/chemicals.types';
import { createSlice } from '@reduxjs/toolkit';
import { getChemicalsReducer, getMultiChemicalsReducer } from './chemicals.reducers';

const initialState: ChemicalsState = {
  data: [],
  loading: 'idle',
  error: { name: '', message: '' },
};

export const chemicalsSlice = createSlice({
  name: 'chemicals',
  initialState,
  reducers: {},
  extraReducers: builder => {
    getChemicalsReducer(builder);
    getMultiChemicalsReducer(builder);
  },
});

export default chemicalsSlice.reducer;
