import { createSlice } from '@reduxjs/toolkit';
import { DrugsState } from '@/redux/drugs/drugs.types';
import { getDrugsReducer, getMultiDrugsReducer } from './drugs.reducers';

const initialState: DrugsState = {
  data: [],
  loading: 'idle',
  error: { name: '', message: '' },
};

export const drugsSlice = createSlice({
  name: 'drugs',
  initialState,
  reducers: {},
  extraReducers: builder => {
    getDrugsReducer(builder);
    getMultiDrugsReducer(builder);
  },
});

export default drugsSlice.reducer;
