import { getSearchDataReducer, setPerfectMatchReducer } from '@/redux/search/search.reducers';
import { SearchState } from '@/redux/search/search.types';
import { createSlice } from '@reduxjs/toolkit';

const initialState: SearchState = {
  searchValue: [''],
  perfectMatch: false,
  loading: 'idle',
};

export const searchSlice = createSlice({
  name: 'search',
  initialState,
  reducers: {
    setPerfectMatch: setPerfectMatchReducer,
  },
  extraReducers(builder) {
    getSearchDataReducer(builder);
  },
});

export const { setPerfectMatch } = searchSlice.actions;

export default searchSlice.reducer;
